You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@logging.apache.org by ts...@apache.org on 2017/08/17 14:27:09 UTC

[01/17] logging-log4cxx git commit: Revert pom.xml and changes.xml.

Repository: logging-log4cxx
Updated Branches:
  refs/heads/release_scripts 3ca47c80a -> 85583f525


Revert pom.xml and changes.xml.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/928ea24d
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/928ea24d
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/928ea24d

Branch: refs/heads/release_scripts
Commit: 928ea24d12354b0edda2ca0b4fbc481a4ce2131e
Parents: 3ca47c8
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:33:55 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:33:55 2017 +0200

----------------------------------------------------------------------
 releasePurge.sh | 42 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 36 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/928ea24d/releasePurge.sh
----------------------------------------------------------------------
diff --git a/releasePurge.sh b/releasePurge.sh
index 9d9dca6..035488d 100755
--- a/releasePurge.sh
+++ b/releasePurge.sh
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash -e
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
 # this work for additional information regarding copyright ownership.
@@ -21,8 +21,38 @@
 # This script is mainly used during development of the release scripts itself and simply deletes
 # branches and tags created during tests of the release process. Be very careful with execution!
 #
-git checkout  "release_scripts"
-git branch -D "next_stable"
-git tag  --delete "v0.11.0-RC1"
-git push --delete "origin" "next_stable" 
-git push --delete "origin" "v0.11.0-RC1"
+
+function main()
+{
+  #purge_branch_and_tag
+  revert_pom_and_changes
+}
+
+function purge_branch_and_tag()
+{
+  git checkout  "release_scripts"
+  git branch -D "next_stable"
+  git tag  --delete "v0.11.0-RC1"
+  git push --delete "origin" "next_stable" 
+  git push --delete "origin" "v0.11.0-RC1"
+}
+
+function revert_pom_and_changes()
+{
+  sed -i -r "s/^\t(<version>).+(<)/\10.11.0-SNAPSHOT\2/" "pom.xml"
+  sed -i -r "1,/.+<release.+/ s/.+<release.+//"          "src/changes/changes.xml"
+  sed -i -r "1,/.+date=.+/ s/.+date=.+//"                "src/changes/changes.xml"
+  sed -i -r "1,/.+description=.+/ s/.+description=.+//"  "src/changes/changes.xml"
+  sed -i -r "1,/.+<\/release.+/ s/.+<\/release.+//"      "src/changes/changes.xml"
+  
+  # Don't know ho to remove the created newlines in changes easier...
+  local changes=$(cat "src/changes/changes.xml")
+  echo "${changes/$'\n\n\n\n\n'/}" > "src/changes/changes.xml"
+
+  #git add "pom.xml"
+  #git add "src/changes/changes_xml"
+
+  #git commit -m "No 0.11.1 yet."
+}
+
+main


[02/17] logging-log4cxx git commit: Wrongly changed all version-nodes in pom.xml.

Posted by ts...@apache.org.
Wrongly changed all version-nodes in pom.xml.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/39a30b86
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/39a30b86
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/39a30b86

Branch: refs/heads/release_scripts
Commit: 39a30b8621dede4126d1ea4a94a5fc6305289d61
Parents: 928ea24
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:34:49 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:34:49 2017 +0200

----------------------------------------------------------------------
 releasePrepare.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/39a30b86/releasePrepare.sh
----------------------------------------------------------------------
diff --git a/releasePrepare.sh b/releasePrepare.sh
index 0a7bd26..ec84353 100755
--- a/releasePrepare.sh
+++ b/releasePrepare.sh
@@ -161,7 +161,7 @@ END
   local new_release="${new_release/VER_NEEDED/${new_dev_ver_short}}"
 
   sed -i -r "s/AC_INIT\(\[log4cxx\], \[.+?\]\)/AC_INIT([log4cxx], [${new_dev_ver_short}])/" "configure.ac"
-  sed -i -r "s/(<version>).+(<)/\1${new_dev_ver}\2/"                                        "pom.xml"
+  sed -i -r "s/^\t(<version>).+(<)/\1${new_dev_ver}\2/"                                     "pom.xml"
   sed -i -r "s/<body>/${new_release}/"                                                      "src/changes/changes.xml"
 
   git add "configure.ac"


[16/17] logging-log4cxx git commit: Delete more than one tag.

Posted by ts...@apache.org.
Delete more than one tag.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/e0c14b79
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/e0c14b79
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/e0c14b79

Branch: refs/heads/release_scripts
Commit: e0c14b79194ada3a5210d17f14069d4056e65968
Parents: ab94e41
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 16:11:17 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 16:11:17 2017 +0200

----------------------------------------------------------------------
 releasePurge.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/e0c14b79/releasePurge.sh
----------------------------------------------------------------------
diff --git a/releasePurge.sh b/releasePurge.sh
index 70e149d..9bea16a 100755
--- a/releasePurge.sh
+++ b/releasePurge.sh
@@ -31,10 +31,15 @@ function main()
 function purge_branch_and_tag()
 {
   git checkout  "release_scripts"
+
   git branch -D "next_stable"
-  git tag  --delete "v0.11.0-RC1"
   git push --delete "origin" "next_stable" 
-  git push --delete "origin" "v0.11.0-RC1"
+
+  for tag in $(git tag -l | grep "v0.11.0-RC")
+  do  
+    git tag  --delete "${tag}"
+    git push --delete "origin" "${tag}"
+  done
 }
 
 function revert_pom_and_changes()


[10/17] logging-log4cxx git commit: Prepare for next development iteration: 0.11.1

Posted by ts...@apache.org.
Prepare for next development iteration: 0.11.1


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/df416b5f
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/df416b5f
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/df416b5f

Branch: refs/heads/release_scripts
Commit: df416b5f8adbe30428356a0ccbd7372ce7a5650d
Parents: 6eb8361
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 12:02:26 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 12:02:26 2017 +0200

----------------------------------------------------------------------
 pom.xml                 | 2 +-
 src/changes/changes.xml | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/df416b5f/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 5697b54..504f151 100644
--- a/pom.xml
+++ b/pom.xml
@@ -3,7 +3,7 @@
 	<groupId>log4cxx</groupId>
 	<artifactId>apache-log4cxx</artifactId>
 	<packaging>pom</packaging>
-	<version>0.11.0-SNAPSHOT</version>
+	<version>0.11.1-SNAPSHOT</version>
 	<name>Apache log4cxx</name>
 	<description>Logging framework for C++.</description>
 	<url>http://logging.apache.org/log4cxx</url>

http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/df416b5f/src/changes/changes.xml
----------------------------------------------------------------------
diff --git a/src/changes/changes.xml b/src/changes/changes.xml
index accc209..c30826d 100644
--- a/src/changes/changes.xml
+++ b/src/changes/changes.xml
@@ -23,6 +23,11 @@
 	</properties>
 
 	<body>
+		<release	version="0.11.1"
+					date="XXXX-XX-XX"
+					description="Maintenance release">
+		</release>
+
 		<release	version="0.11.0"
 					date="2017-08-17"
 					description="Maintenance release">


[14/17] logging-log4cxx git commit: Didn't extract version properly.

Posted by ts...@apache.org.
Didn't extract version properly.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/8c790d7a
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/8c790d7a
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/8c790d7a

Branch: refs/heads/release_scripts
Commit: 8c790d7a8764b51e20d419f31334e79bad31d2fa
Parents: 5e31719
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 15:38:42 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 15:40:17 2017 +0200

----------------------------------------------------------------------
 releasePrepare.sh | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/8c790d7a/releasePrepare.sh
----------------------------------------------------------------------
diff --git a/releasePrepare.sh b/releasePrepare.sh
index d093776..0a06db3 100755
--- a/releasePrepare.sh
+++ b/releasePrepare.sh
@@ -45,7 +45,7 @@
 
 function main()
 {
-  exit_on_changes
+  #exit_on_changes
 
   branch_starting=$(      git branch | grep "\*" | cut -d " " -f 2)
   branch_starting_is_ns=$(git branch | grep "\* next_stable")
@@ -122,7 +122,8 @@ function update_scm_tag_name_format()
 
 function get_pom_curr_ver()
 {
-  echo "$(grep -E -e "^\t<version>" "pom.xml" | sed -r "s/<.+>(.+)<.+>/\1/")"
+  # \t doesn't seem to work for grep for some reason.
+  echo "$(grep -E -e "^\s<version>" "pom.xml" | sed -r "s/^\t<.+>(.+)<.+>/\1/")"
 }
 
 function get_mvn_prepare_new_dev_ver()
@@ -157,7 +158,7 @@ function revert_mvn_prepare_new_dev_ver_if()
     return 0
   fi
 
-  sed -i -r "s/(^\t<version>).+(<)/\1${new_dev_ver}\2/" "pom.xml"
+  sed -i -r "s/^(\t<version>).+(<)/\1${new_dev_ver}\2/" "pom.xml"
 }
 
 function exec_maven()
@@ -165,8 +166,8 @@ function exec_maven()
   local new_dev_ver=$(get_mvn_prepare_new_dev_ver)
   local prepare_args="-Dresume=false -DdevelopmentVersion=${new_dev_ver}"
 
-  mvn clean                             || exit 1
-  mvn release:prepare "${prepare_args}" || exit 1
+  mvn clean                           || exit 1
+  mvn release:prepare ${prepare_args} || exit 1
   revert_mvn_prepare_new_dev_ver_if "${new_dev_ver}"
 
   exit 1


[09/17] logging-log4cxx git commit: Set release date to today.

Posted by ts...@apache.org.
Set release date to today.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/6eb83615
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/6eb83615
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/6eb83615

Branch: refs/heads/release_scripts
Commit: 6eb836159ae5e43f212bb05b2ebe879fae9331ec
Parents: bf4ef85
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 11:58:56 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 11:58:56 2017 +0200

----------------------------------------------------------------------
 src/changes/changes.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/6eb83615/src/changes/changes.xml
----------------------------------------------------------------------
diff --git a/src/changes/changes.xml b/src/changes/changes.xml
index bdf1b7b..accc209 100644
--- a/src/changes/changes.xml
+++ b/src/changes/changes.xml
@@ -24,7 +24,7 @@
 
 	<body>
 		<release	version="0.11.0"
-					date="2017-08-16"
+					date="2017-08-17"
 					description="Maintenance release">
 			<action issue="LOGCXX-488" type="fix">Space after log level hides messages</action>
 			<action issue="LOGCXX-484" type="fix">Spelling error s/excute/execute</action>


[08/17] logging-log4cxx git commit: Wroing file path fixed.

Posted by ts...@apache.org.
Wroing file path fixed.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/bf4ef850
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/bf4ef850
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/bf4ef850

Branch: refs/heads/release_scripts
Commit: bf4ef85068ffb65dac1bf703e1bff33ba7e111ba
Parents: daae8fe
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:44:21 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:44:21 2017 +0200

----------------------------------------------------------------------
 releasePurge.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/bf4ef850/releasePurge.sh
----------------------------------------------------------------------
diff --git a/releasePurge.sh b/releasePurge.sh
index c522f05..70e149d 100755
--- a/releasePurge.sh
+++ b/releasePurge.sh
@@ -50,7 +50,7 @@ function revert_pom_and_changes()
   echo "${changes/$'\n\n\n\n\n'/}" > "src/changes/changes.xml"
 
   git add "pom.xml"
-  git add "src/changes/changes_xml"
+  git add "src/changes/changes.xml"
 
   git commit -m "No 0.11.1 yet."
 }


[11/17] logging-log4cxx git commit: Broke shell file expansion by accident.

Posted by ts...@apache.org.
Broke shell file expansion by accident.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/194e80e5
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/194e80e5
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/194e80e5

Branch: refs/heads/release_scripts
Commit: 194e80e501e375a484af311bce52562f599fa2d2
Parents: df416b5
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 12:07:43 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 12:08:14 2017 +0200

----------------------------------------------------------------------
 releasePerform.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/194e80e5/releasePerform.sh
----------------------------------------------------------------------
diff --git a/releasePerform.sh b/releasePerform.sh
index a290bf1..382c3e6 100755
--- a/releasePerform.sh
+++ b/releasePerform.sh
@@ -70,7 +70,7 @@ function sign_and_copy()
   # http://blog.sonatype.com/2010/01/how-to-generate-pgp-signatures-with-maven/
   # http://maven.apache.org/plugins/maven-gpg-plugin/
   pushd "${WD_RELEASE}/target" > /dev/null
-  for file in "*.tar.gz" "*.zip"
+  for file in *.tar.gz *.zip
   do
     echo "Processing ${file}:"
 


[03/17] logging-log4cxx git commit: Wrong versions corrected.

Posted by ts...@apache.org.
Wrong versions corrected.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/863a568c
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/863a568c
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/863a568c

Branch: refs/heads/release_scripts
Commit: 863a568c83a7054dd1a3de67eae1450705a3bd69
Parents: 39a30b8
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:37:32 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:37:32 2017 +0200

----------------------------------------------------------------------
 pom.xml | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/863a568c/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index b7188b9..5697b54 100644
--- a/pom.xml
+++ b/pom.xml
@@ -3,7 +3,7 @@
 	<groupId>log4cxx</groupId>
 	<artifactId>apache-log4cxx</artifactId>
 	<packaging>pom</packaging>
-	<version>0.11.1-SNAPSHOT</version>
+	<version>0.11.0-SNAPSHOT</version>
 	<name>Apache log4cxx</name>
 	<description>Logging framework for C++.</description>
 	<url>http://logging.apache.org/log4cxx</url>
@@ -181,7 +181,7 @@
 		<plugins>
 			<plugin>
 				<artifactId>maven-antrun-plugin</artifactId>
-				<version>0.11.1-SNAPSHOT</version>
+				<version>1.7</version>
 				<executions>
 					<execution>
 						<phase>compile</phase>
@@ -279,26 +279,26 @@
 					<dependency>
 						<groupId>org.apache.ant</groupId>
 						<artifactId>ant</artifactId>
-						<version>0.11.1-SNAPSHOT</version>
+						<version>1.9.3</version>
 					</dependency>
 
 					<dependency>
 						<groupId>ant-contrib</groupId>
 						<artifactId>ant-contrib</artifactId>
-						<version>0.11.1-SNAPSHOT</version>
+						<version>1.0b2</version>
 					</dependency>
 
 					<dependency>
 						<groupId>ant-contrib</groupId>
 						<artifactId>cpptasks</artifactId>
-						<version>0.11.1-SNAPSHOT</version>
+						<version>1.0b5</version>
 					</dependency>
 				</dependencies>
 			</plugin>
 
 			<plugin>
 				<artifactId>maven-assembly-plugin</artifactId>
-				<version>0.11.1-SNAPSHOT</version>
+				<version>2.3</version>
 				<configuration>
 					<descriptors>
 						<descriptor>src/assembly/source.xml</descriptor>
@@ -318,12 +318,12 @@
 			<plugin>
 				<groupId>org.codehaus.mojo</groupId>
 				<artifactId>rat-maven-plugin</artifactId>
-				<version>0.11.1-SNAPSHOT</version>
+				<version>1.0-alpha-3</version>
 			</plugin>
 
 			<plugin>
 				<artifactId>maven-site-plugin</artifactId>
-				<version>0.11.1-SNAPSHOT</version>
+				<version>3.3</version>
 				<configuration>
 					<templateFile>${basedir}/src/site/site.vm</templateFile>
 				</configuration>
@@ -331,7 +331,7 @@
 
 			<plugin>
 				<artifactId>maven-release-plugin</artifactId>
-				<version>0.11.1-SNAPSHOT</version>
+				<version>2.3</version>
 				<configuration>
 					<tagNameFormat>v@{project.version}-RCx</tagNameFormat>
 					<goals>site-deploy assembly:assembly</goals>
@@ -344,7 +344,7 @@
 		<dependency>
 			<groupId>log4j</groupId>
 			<artifactId>log4j</artifactId>
-			<version>0.11.1-SNAPSHOT</version>
+			<version>1.2.14</version>
 			<scope>test</scope>
 		</dependency>
 	</dependencies>
@@ -354,7 +354,7 @@
 		<plugins>
 			<plugin>
 				<artifactId>maven-project-info-reports-plugin</artifactId>
-				<version>0.11.1-SNAPSHOT</version>
+				<version>2.7</version>
 				<reportSets>
 					<reportSet>
 						<reports>
@@ -369,7 +369,7 @@
 
 			<plugin>
 				<artifactId>maven-changes-plugin</artifactId>
-				<version>0.11.1-SNAPSHOT</version>
+				<version>2.9</version>
 				<reportSets>
 					<reportSet>
 						<reports>


[13/17] logging-log4cxx git commit: Keep the current version in next_stable for new releases.

Posted by ts...@apache.org.
Keep the current version in next_stable for new releases.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/5e31719f
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/5e31719f
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/5e31719f

Branch: refs/heads/release_scripts
Commit: 5e31719f9440d469aac4b437b6495fcce79997ec
Parents: 4c34140
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 15:21:08 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 15:22:04 2017 +0200

----------------------------------------------------------------------
 pom.xml           |  2 +-
 releasePrepare.sh | 63 ++++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 57 insertions(+), 8 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/5e31719f/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 504f151..5697b54 100644
--- a/pom.xml
+++ b/pom.xml
@@ -3,7 +3,7 @@
 	<groupId>log4cxx</groupId>
 	<artifactId>apache-log4cxx</artifactId>
 	<packaging>pom</packaging>
-	<version>0.11.1-SNAPSHOT</version>
+	<version>0.11.0-SNAPSHOT</version>
 	<name>Apache log4cxx</name>
 	<description>Logging framework for C++.</description>
 	<url>http://logging.apache.org/log4cxx</url>

http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/5e31719f/releasePrepare.sh
----------------------------------------------------------------------
diff --git a/releasePrepare.sh b/releasePrepare.sh
index cb60016..d093776 100755
--- a/releasePrepare.sh
+++ b/releasePrepare.sh
@@ -23,10 +23,10 @@
 # handled using the Maven release plugin, because that moves versions of the current branch forward
 # and doesn't seem to provide a way to say that a new release is just another RC for some former
 # release. Additionally, after the current branch has been moved forward, it might have been used to
-# merge new changes already. So hoe to tell Maven to do another release with a former version?
+# merge new changes already. So how to tell Maven to do another release with a former version?
 #
 # So the current approach of this script is to always create a new branch "next_stable" which acts
-# as the base for releases only. One need to manually merge changes to the codebase into that branch
+# as the base for releases only. One needs to manually merge changes to the code into that branch
 # as needed for making a release work, but keep all other changes to "master" etc. outside. We try
 # to handle setting release dates, current number of release candidate etc. here automatically as 
 # much as possible. Some of that info is even merged back into some source branch, e.g. "master",
@@ -37,7 +37,10 @@
 # and "next_stable" is checked out automatically. If it's invoked with some other branch, release
 # dates, new development version etc. are merged to the branch the script was invoked with. Without
 # another branch those changes need to be done/merged manually to wherever they need to be in the
-# end, most likely "master".
+# end, most likely "master". If only "master" should be supported in the future, merging back into
+# that might be hard coded, currently it isn't to support arbitrary source branches from which a
+# release gets initiated. If "next_stable" is the starting branch, it's assumed to only create
+# another release based on a former release, without merging things back to anywhere.
 #
 
 function main()
@@ -117,13 +120,59 @@ function update_scm_tag_name_format()
   git commit -m "scm.tagNameFormat reconfigured to new RC number."
 }
 
-function exec_maven
+function get_pom_curr_ver()
 {
-  mvn clean                          || exit 1
-  mvn release:prepare -Dresume=false || exit 1
+  echo "$(grep -E -e "^\t<version>" "pom.xml" | sed -r "s/<.+>(.+)<.+>/\1/")"
 }
 
-function exit_on_started_with_ns
+function get_mvn_prepare_new_dev_ver()
+{
+  if [ -n "${branch_starting_is_ns}" ]
+  then
+    echo "$(get_pom_curr_ver)"
+    return 0
+  fi
+
+  # Maven is able to calculate a useful new version itself:
+  echo ""
+}
+
+##
+# Revert new version in pom.xml assigned bei Maven if needed.
+#
+# During release preparation Maven assigns some new development version to the pom.xml, which is
+# most likely correct in case of a new release cycle, but within the "next_stable" branch with
+# releases only we always want to keep the current version and only count RCs. In such a case the
+# new version to use by Maven is forced to be the current one, else Maven can decide on it's own.
+# So if a version is given, that's the forced one we write back into the pom.xml, else nothing is
+# done.
+#
+# @param[in] Specific version to used by Maven.
+#
+function revert_mvn_prepare_new_dev_ver_if()
+{
+  local new_dev_ver="${1}"
+  if [ -z "${new_dev_ver}" ]
+  then
+    return 0
+  fi
+
+  sed -i -r "s/(^\t<version>).+(<)/\1${new_dev_ver}\2/" "pom.xml"
+}
+
+function exec_maven()
+{
+  local new_dev_ver=$(get_mvn_prepare_new_dev_ver)
+  local prepare_args="-Dresume=false -DdevelopmentVersion=${new_dev_ver}"
+
+  mvn clean                             || exit 1
+  mvn release:prepare "${prepare_args}" || exit 1
+  revert_mvn_prepare_new_dev_ver_if "${new_dev_ver}"
+
+  exit 1
+}
+
+function exit_on_started_with_ns()
 {
   if [ -n "${branch_starting_is_ns}" ]
   then


[05/17] logging-log4cxx git commit: Wrong indenting of "version".

Posted by ts...@apache.org.
Wrong indenting of "version".


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/62a5a5e2
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/62a5a5e2
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/62a5a5e2

Branch: refs/heads/release_scripts
Commit: 62a5a5e21e473888f59858f9e9ed02c2b25288e1
Parents: 17e1187
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:40:09 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:40:09 2017 +0200

----------------------------------------------------------------------
 releasePrepare.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/62a5a5e2/releasePrepare.sh
----------------------------------------------------------------------
diff --git a/releasePrepare.sh b/releasePrepare.sh
index ec84353..cb60016 100755
--- a/releasePrepare.sh
+++ b/releasePrepare.sh
@@ -161,7 +161,7 @@ END
   local new_release="${new_release/VER_NEEDED/${new_dev_ver_short}}"
 
   sed -i -r "s/AC_INIT\(\[log4cxx\], \[.+?\]\)/AC_INIT([log4cxx], [${new_dev_ver_short}])/" "configure.ac"
-  sed -i -r "s/^\t(<version>).+(<)/\1${new_dev_ver}\2/"                                     "pom.xml"
+  sed -i -r "s/^(\t<version>).+(<)/\1${new_dev_ver}\2/"                                     "pom.xml"
   sed -i -r "s/<body>/${new_release}/"                                                      "src/changes/changes.xml"
 
   git add "configure.ac"


[12/17] logging-log4cxx git commit: Fixed broken shell expansion for files.

Posted by ts...@apache.org.
Fixed broken shell expansion for files.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/4c341401
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/4c341401
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/4c341401

Branch: refs/heads/release_scripts
Commit: 4c3414012ac453ba7c696d28d836ee99746811c0
Parents: 194e80e
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 12:12:59 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 12:13:40 2017 +0200

----------------------------------------------------------------------
 releasePerform.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/4c341401/releasePerform.sh
----------------------------------------------------------------------
diff --git a/releasePerform.sh b/releasePerform.sh
index 382c3e6..635c605 100755
--- a/releasePerform.sh
+++ b/releasePerform.sh
@@ -90,7 +90,7 @@ function sign_and_copy()
 function publish_for_vote()
 {
   pushd "${WD_DIST_DEV}" > /dev/null
-  svn add --force "*.*"
+  svn add --force *.*
   svn ci  -m "Publishing artifacts for new release to vote on."
 }
 


[17/17] logging-log4cxx git commit: Codestyle

Posted by ts...@apache.org.
Codestyle


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/85583f52
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/85583f52
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/85583f52

Branch: refs/heads/release_scripts
Commit: 85583f525c50c77c9af7891fcd58e36a9bcd2042
Parents: e0c14b7
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 16:11:59 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 16:11:59 2017 +0200

----------------------------------------------------------------------
 releasePurge.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/85583f52/releasePurge.sh
----------------------------------------------------------------------
diff --git a/releasePurge.sh b/releasePurge.sh
index 9bea16a..d692e93 100755
--- a/releasePurge.sh
+++ b/releasePurge.sh
@@ -37,7 +37,7 @@ function purge_branch_and_tag()
 
   for tag in $(git tag -l | grep "v0.11.0-RC")
   do  
-    git tag  --delete "${tag}"
+    git tag  --delete          "${tag}"
     git push --delete "origin" "${tag}"
   done
 }


[06/17] logging-log4cxx git commit: Removed comments.

Posted by ts...@apache.org.
Removed comments.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/72d06476
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/72d06476
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/72d06476

Branch: refs/heads/release_scripts
Commit: 72d0647615a62bc756e2f887abe71e32ac31d030
Parents: 62a5a5e
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:42:34 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:42:34 2017 +0200

----------------------------------------------------------------------
 releasePurge.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/72d06476/releasePurge.sh
----------------------------------------------------------------------
diff --git a/releasePurge.sh b/releasePurge.sh
index 19b2d13..c522f05 100755
--- a/releasePurge.sh
+++ b/releasePurge.sh
@@ -24,7 +24,7 @@
 
 function main()
 {
-  #purge_branch_and_tag
+  purge_branch_and_tag
   revert_pom_and_changes
 }
 
@@ -49,10 +49,10 @@ function revert_pom_and_changes()
   local changes=$(cat "src/changes/changes.xml")
   echo "${changes/$'\n\n\n\n\n'/}" > "src/changes/changes.xml"
 
-  #git add "pom.xml"
-  #git add "src/changes/changes_xml"
+  git add "pom.xml"
+  git add "src/changes/changes_xml"
 
-  #git commit -m "No 0.11.1 yet."
+  git commit -m "No 0.11.1 yet."
 }
 
 main


[15/17] logging-log4cxx git commit: Should be 0.11.1.

Posted by ts...@apache.org.
Should be 0.11.1.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/ab94e41e
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/ab94e41e
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/ab94e41e

Branch: refs/heads/release_scripts
Commit: ab94e41e952a77ec2f2a09241d0d53df1f9f3913
Parents: 8c790d7
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 16:02:37 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 16:02:37 2017 +0200

----------------------------------------------------------------------
 pom.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/ab94e41e/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 5697b54..504f151 100644
--- a/pom.xml
+++ b/pom.xml
@@ -3,7 +3,7 @@
 	<groupId>log4cxx</groupId>
 	<artifactId>apache-log4cxx</artifactId>
 	<packaging>pom</packaging>
-	<version>0.11.0-SNAPSHOT</version>
+	<version>0.11.1-SNAPSHOT</version>
 	<name>Apache log4cxx</name>
 	<description>Logging framework for C++.</description>
 	<url>http://logging.apache.org/log4cxx</url>


[07/17] logging-log4cxx git commit: No 0.11.1 yet.

Posted by ts...@apache.org.
No 0.11.1 yet.


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/daae8feb
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/daae8feb
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/daae8feb

Branch: refs/heads/release_scripts
Commit: daae8febe10c7c5f79d4b3ca55b055f4f83ab581
Parents: 72d0647
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:44:04 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:44:04 2017 +0200

----------------------------------------------------------------------
 src/changes/changes.xml | 5 -----
 1 file changed, 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/daae8feb/src/changes/changes.xml
----------------------------------------------------------------------
diff --git a/src/changes/changes.xml b/src/changes/changes.xml
index 9aa187a..bdf1b7b 100644
--- a/src/changes/changes.xml
+++ b/src/changes/changes.xml
@@ -23,11 +23,6 @@
 	</properties>
 
 	<body>
-		<release	version="0.11.1"
-					date="XXXX-XX-XX"
-					description="Maintenance release">
-		</release>
-
 		<release	version="0.11.0"
 					date="2017-08-16"
 					description="Maintenance release">


[04/17] logging-log4cxx git commit: Wrong intendation of "version".

Posted by ts...@apache.org.
Wrong intendation of "version".


Project: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/repo
Commit: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/commit/17e11875
Tree: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/tree/17e11875
Diff: http://git-wip-us.apache.org/repos/asf/logging-log4cxx/diff/17e11875

Branch: refs/heads/release_scripts
Commit: 17e11875d40a21730009e23c2ecda38c23c48aea
Parents: 863a568
Author: Thorsten Schöning <ts...@am-soft.de>
Authored: Thu Aug 17 10:38:59 2017 +0200
Committer: Thorsten Schöning <ts...@am-soft.de>
Committed: Thu Aug 17 10:38:59 2017 +0200

----------------------------------------------------------------------
 releasePurge.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/logging-log4cxx/blob/17e11875/releasePurge.sh
----------------------------------------------------------------------
diff --git a/releasePurge.sh b/releasePurge.sh
index 035488d..19b2d13 100755
--- a/releasePurge.sh
+++ b/releasePurge.sh
@@ -39,7 +39,7 @@ function purge_branch_and_tag()
 
 function revert_pom_and_changes()
 {
-  sed -i -r "s/^\t(<version>).+(<)/\10.11.0-SNAPSHOT\2/" "pom.xml"
+  sed -i -r "s/^(\t<version>).+(<)/\10.11.0-SNAPSHOT\2/" "pom.xml"
   sed -i -r "1,/.+<release.+/ s/.+<release.+//"          "src/changes/changes.xml"
   sed -i -r "1,/.+date=.+/ s/.+date=.+//"                "src/changes/changes.xml"
   sed -i -r "1,/.+description=.+/ s/.+description=.+//"  "src/changes/changes.xml"